#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stdbool.h>
#include "esp_err.h"

/**
 * @brief Inicializa o driver do medidor ORNO 513 (SPI, mutex, registradores).
 */
esp_err_t meter_orno513_init(void);

/**
 * @brief Inicia a tarefa de leitura de dados do medidor ORNO 513.
 */
esp_err_t meter_orno513_start(void);

/**
 * @brief Para a tarefa de leitura e limpa os dados internos do medidor ORNO 513.
 */
void meter_orno513_stop(void);


#ifdef __cplusplus
}
#endif
